setlocal ts=4
setlocal sts=4
setlocal sw=4
setlocal et
setlocal tw=80
setlocal colorcolumn=79
setlocal smartindent
setlocal autoindent
setlocal fileformat=unix
setlocal formatoptions+=croq
setlocal omnifunc=pythoncomplete#Complete
setlocal cinwords=if,elif,else,for,while,try,except,finally,def,class,with

augroup pystuff
	autocmd!
	autocmd BufNewFile *.py 0r ~/.config/nvim/templates/py.skeleton
augroup END

nnoremap <buffer> <localleader>y :0,$!yapf<Cr>
nnoremap <buffer> <LocalLeader>i :!isort %<CR><CR>
nnoremap <buffer> <silent> <LocalLeader>= :ALEFix<CR>
nnoremap <buffer> <localleader>c I#<esc>

let g:ale_python_mypy_options = "--ignore-missing-imports"
let g:ale_python_pylint_options = "--disable=C"
let g:ale_python_flake8_options = "--ignore=E221"
let g:move_key_modifier = 'N'

" Check Python files with flake8 and pylint.
let b:ale_linters = ['pyls', 'flake8', 'pylint']
" Fix Python files with autopep8 and yapf.
let b:ale_fixers = ['autopep8', 'remove_trailing_lines', 'isort', 'yapf']

" Disable warnings about trailing whitespace for Python files.
let b:ale_warn_about_trailing_whitespace = 0